<head>
    <meta charset="UTF-8">
    <title>MNC NOW</title>
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="google-site-verification" content="MU1SEKOh4hqPEsvAbaq6jq517rVPPMu3oC3gVJGuu7U" />
    <meta name="title" content="MNC Now Movies">
    <meta name="keywords" content="okezone, layar tancap, mncnow, mnc now, sinetron, now, tonton film, ftv, film indonesia, free, ott, broadcast, mnc">
    <meta name="description" content="Nonton ratusan film pilihan dari Indonesia, Hollywood dan Asia. Film lepas, series, sinetron, drakor dan animasi hanya di MNC Now">
    <meta name="author" content="MNCNow.id">
    <meta name="viewport" content="initial-scale=1, maximum-scale=1">  
    <link rel="shortcut icon" href="img/favicon.ico" type="image/x-icon">
    <link rel="icon" href="img/favicon.ico" type="image/x-icon">

    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-111351533-1"></script>
		<script>
			window.dataLayer = window.dataLayer || [];
			function gtag(){dataLayer.push(arguments);}
			gtag('js', new Date());

			gtag('config', 'UA-111351533-1');
    </script>

    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-111351533-7"></script>
    <script>
      window.dataLayer = window.dataLayer || [];
      function gtag(){dataLayer.push(arguments);}
      gtag('js', new Date());

      gtag('config', 'UA-111351533-7');
    </script>    

    <!-- Global site tag (gtag.js) - Google Analytics 3rd-->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-154114411-1"></script>
    <script>
      window.dataLayer = window.dataLayer || [];
      function gtag(){dataLayer.push(arguments);}
      gtag('js', new Date());

      gtag('config', 'UA-154114411-1');
    </script>

    <!-- Begin comScore Tag -->
    <script>
        var _comscore = _comscore || [];
        _comscore.push({ c1: "2", c2: "33003457" });
        (function() {
          var s = document.createElement("script"), el = document.getElementsByTagName("script")[0]; s.async = true;
          s.src = (document.location.protocol == "https:" ? "https://sb" : "http://b") + ".scorecardresearch.com/beacon.js";
          el.parentNode.insertBefore(s, el);
        })();
      </script>
      <noscript>
        <img src="https://sb.scorecardresearch.com/p?c1=2&c2=33003457&cv=2.0&cj=1" />
      </noscript>
    <!-- End comScore Tag -->

    <!-- <link href="https://vjs.zencdn.net/7.6.0/video-js.css" rel="stylesheet"> -->
    <link href="video-js.css" rel="stylesheet">
    <script src='https://vjs.zencdn.net/7.6.0/video.js'></script>
    <!-- If you'd like to support IE8 (for Video.js versions prior to v7) -->
    <script src="https://vjs.zencdn.net/ie8/1.1.2/videojs-ie8.min.js"></script>
    <script src='https://nexplayer.nexplayersdk.com/MNC/nexplayer.js'></script>
    <!-- <script src='js/nexplayer/nexplayer.js'> </script> -->

    <style>
        .video-player {
            /* position: relative !important;
            width: 100% !important;
            height: 100% !important;
            margin: 0; */
            max-height: calc(100vh - 64px);
            position: relative !important;
            width: 100%;
            height: auto !important;
            max-width: 100% !important;
            padding-top: 0 !important;
            line-height: 0;
        }

        /* Make the video relative, instead of absolute, so that
        the parent container will size based on the video. Also,
        note the max-height rule. Note the line-height 0 is to prevent
        a small artifact on the bottom of the video.
        */
        .video-js.vjs-fluid,
        .video-js.vjs-16-9,
        .video-js.vjs-4-3,
        video.video-js,
        video.vjs-tech, {
          max-height: calc(100vh - 64px);
          position: relative !important;
          width: 100%;
          height: auto !important;
          max-width: 100% !important;
          padding-top: 0 !important;
          line-height: 0;
        }

        /* Fix the control bar due to us resetting the line-height on the video-js */
        .vjs-control-bar {
            line-height: 1;
        }         
    </style>   
</head>
  
<body>
    <script id="playervideojs" type="text/template">
      <!-- <video autoplay  id="my-videojs" class="video-js"  controls preload="auto" margin="0" -->
        <video autoplay muted id="my-videojs" class="video-js"  controls preload="auto" margin="0"
          poster="" data-setup='{"fluid":true}'>
          <source src="" type="application/x-mpegURL">
          <p class="video-player">
              To view this video please enable JavaScript, and consider upgrading to a web browser that
              <a href="https://videojs.com/html5-video-support/" target="_blank">supports HTML5 video</a>
          </p>
      </video>
    </script>

  <div id='player'>
      <script>
        // <video autoplay muted id='my-video' class='video-js'  controls preload='auto' height='200px' width='auto'
        // poster='MY_VIDEO_POSTER.jpg' data-setup='{}'>
        // <source src='https://cdn.mncnow.id/transmoviesnon/7-hari-cinta-test-non-drm/index.m3u8' type='video/mp4'> -->


        function getQueryStrings() { 
          var assoc  = {};
          var decode = function (s) { return decodeURIComponent(s.replace(/\+/g, " ")); };
          var queryString = location.search.substring(1); 
          var keyValues = queryString.split('&'); 

          for(var i in keyValues) { 
            var key = keyValues[i].split('=');
            if (key.length > 1) {
              assoc[decode(key[0])] = decode(key[1]);
            }
          } 

          return assoc;
        }

        var qs = getQueryStrings();
        // console.log(location.pathname.match(/\/transmoviesnon\/(.*)/)[1]);
        var myWidevine = qs["url"];
        var myFairplay = qs["url2"];
        var myParamIMG = qs["img"];

        var myParamIMG = qs["img"];
        var myParamTitle = qs["url"];
        // var myParamURL = qs["url"];
        // var myParamURL2 = qs["url2"];
        var myParamVast = qs["vast"];
        //document.title='MNC NOW - '.concat(myParamTitle);

        var vidsrc = myParamTitle.split('\/');
        var title = vidsrc;
        document.title='MNC Now - '.concat(title[4]);
        // console.log(vidsrc[4])
        // if (myParamURL  == (null || "")) {
        //   myParamURL="https://cdn.mncnow.id/transmoviesnon/ada-cinta-di-tempe-mendoan-nodrm/index.m3u8";
        // } 
        // if (myParamURL  == (null || "")) {
        //   myParamIMG="https://static.mncnow.id/images/vod/89a923f4-c15.jpg"
        // } 
        
        var test=1;
        if ((navigator.userAgent.indexOf("Chrome") != -1 ) || (navigator.userAgent.indexOf("Firefox") != -1 )) {
        // if (navigator.userAgent.indexOf("Chrome") != -1) {
            var userAgent = navigator.userAgent || navigator.vendor || window.opera;
            var useragentos = navigator.userAgent.toLowerCase();  
 
            if( /Android|webOS|Opera Mini/i.test(navigator.userAgent) ) {
                if (navigator.userAgent.indexOf("Firefox") != -1 ) {
                    alert('Browser not supported. Please use latest browser Chrome or Safari')
                }
            }else if( /iPhone|iPad|iPod/i.test(navigator.userAgent) ) {
                alert('Browser not supported. Please use latest browser Safari')
            }

            var k="https://mrpw.ptmnc01.verspective.net:443?deviceId=YWY0OTBlZjEtODAyNC0zZTA0LWFhYzMtY2ZmMGE4NjVjZjU1";

            var callBackWithPlayers = function (nexplayerInstance, videoElement) {
                console.log("Callback!");
                player = nexplayerInstance;
                videoElem = videoElement;
                setTimeout(() => {
                    player.setCurrentTrack(0); //0 is always the lowest quality profile
                }, 1000);
                player.enableABR();
            }
            nexplayer.Setup({
                key: '5c1cad9120bbb10718187352',
                div: document.getElementById('player'),
                src: myWidevine, // Optional
                poster: myParamIMG, // Optional
                name: 'MNC Now', // Optional
                autoplay: true, // Optional
                mutedAtStart: true, // Optional
                useDynamicThumbnails: true, // Optional
                disableKeyEvents : true,
                drm: [{NexDRMType: 'com.widevine.alpha', 
                    NexDRMKey: k
                }],
                vast: myParamVast,
                // vast:'http://search.spotxchange.com/vast/2.0/266272?VPI[]=MP4&player_width=REPLACE_ME&player_height=REPLACE_ME&app[bundle]=REPLACE_ME&device[ifa]=REPLACE_ME&media_transcoding=low&omidpn=OMSDK&omidpv=3.11.2',
                // vast:"https://search.spotxchange.com/vmap/1.0/78886?adPlaylistId=1302&channelId=79391&VPI=mp4&content_page_url=spotx.tv",
                cast: {}, //Optional,
                debug: true, // Optional
                staticThumbnailsImage: myParamIMG, // Optional
                staticThumbnailsVTT: myParamIMG, // Optional
                seekUI: 10 // Seconds for the seek buttons, Optional
            });
          myFunction();
        }else if(navigator.userAgent.indexOf("Safari") != -1) {
            // var player = null;
            // var videoElem = null;

            // FairPlay Utility
            function base64EncodeUint8Array(input) {
            var keyStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";
            //  var keyStr = "cdd9eab3335c9abd97e27d89852d8ee5";
            var output = "";
            var chr1, chr2, chr3, enc1, enc2, enc3, enc4;
            var i = 0;

            while (i < input.length) {
                chr1 = input[i++];
                chr2 = i < input.length ? input[i++] : Number.NaN; // Not sure if the index
                chr3 = i < input.length ? input[i++] : Number.NaN; // checks are needed here

                enc1 = chr1 >> 2;
                enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
                enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
                enc4 = chr3 & 63;

                if (isNaN(chr2)) {
                        enc3 = enc4 = 64;
                    } else if (isNaN(chr3)) {
                        enc4 = 64;
                    }
                    output += keyStr.charAt(enc1) + keyStr.charAt(enc2) +
                        keyStr.charAt(enc3) + keyStr.charAt(enc4);
                }
            return output;
            }

            // Request the license at the NexPlayer callback
            function licenseRequestReady (event) {
            var session = event.target;
            var message = event.message;
            var request = new XMLHttpRequest();
            var sessionId = event.sessionId;
            request.responseType = 'text';
            request.session = session;
            request.addEventListener('load', player.FairPlayNexLicenseRequestLoaded.bind(player), false);
            request.addEventListener('error', player.FairPlayNexLicenseRequestFailed.bind(player), false);
            // var params = 'spc='+base64EncodeUint8Array(message)+'&assetId='+encodeURIComponent(session.contentId);
            // var params = 'spc='+ base64EncodeUint8Array(message);
            var params = 'spc=' + encodeURIComponent(base64EncodeUint8Array(message));
            console.log(params)
            request.open('POST', 'https://fpsa.ptmnc01.verspective.net:443/fpsa/v1.0/?deviceId=NjExZWU4OTctOTdiZS0zOTQ0LWE3Y2UtYTIxZWVmODBlNjEz', true); // serverProcessSPCPath
            request.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
            // request.setRequestHeader("dt-custom-data", "Optional license token");
            request.send(params);
            }

            var callBackWithPlayers = function (nexplayerInstance, videoElement) {
                player = nexplayerInstance;
            }

            var nexDRMInformationFairPlay = {NexDRMType:'com.apple.fps.1_0', NexDRMKey: 'https://nex360.s3.amazonaws.com/MNC/fairplay-cnm.cer', NexCallback: licenseRequestReady};

            nexplayer.Setup({
                key: '5c1cad9120bbb10718187352',
                div: document.getElementById('player'),
                src: myFairplay, // Optional
                poster: myParamIMG, // Optional
                name: 'MNC Now', // Optional
                autoplay: true, // Optional
                mutedAtStart: true, // Optional
                useDynamicThumbnails: true, // Optional
                disableKeyEvents : true,
                callbacksForPlayer: callBackWithPlayers,
                drm: [nexDRMInformationFairPlay],
                vast: myParamVast,
                cast: {}, //Optional,
                debug: true, // Optional
                staticThumbnailsImage: myParamIMG, // Optional
                staticThumbnailsVTT: myParamIMG, // Optional
                seekUI: 10 // Seconds for the seek buttons, Optional
            });

        } else {
            alert ('Browser not supported. Please use latest browser Chrome or Safari')
        }


      </script>
    </div>
</body>